Package org.gradle.platform.base

## Interface PlatformAwareComponentSpec

- All Superinterfaces:
    `ComponentSpec`, `ModelElement`, `Named`, `VariantComponent`, `VariantComponentSpec`
  All Known Subinterfaces:
    `NativeExecutableSpec`, `NativeLibrarySpec`, `TargetedNativeComponent`

      @Incubating
      public interface PlatformAwareComponentSpec
      extends VariantComponentSpec

  Defines Platform specific operations for ComponentSpecs

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `targetPlatform​(java.lang.String targetPlatform)` | Specifies a platform that this component should be built be for.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

- - ### Method Detail

    - #### targetPlatform

          void targetPlatform​(java.lang.String targetPlatform)

      Specifies a platform that this component should be built be for.